/**
 * User Actions
 */
export const INIT_SESSION = 'INIT_SESSION';
export const INIT_SESSION_SUCCESS = 'INIT_SESSION_SUCCESS';
export const INIT_SESSION_ERROR = 'INIT_SESSION_ERROR';
export const SIGNIN = 'SIGNIN';
export const SIGNIN_SUCCESS = 'SIGNIN_SUCCESS';
export const SIGNIN_ERROR = 'SIGNIN_ERROR';
export const SIGNUP = 'SIGNUP';
export const SIGNUP_SUCCESS = 'SIGNUP_SUCCESS';
export const SIGNUP_ERROR = 'SIGNUP_ERROR';
export const LOGOUT = 'LOGOUT';
export const LOGOUT_SUCCESS = 'LOGOUT_SUCCESS';
export const LOGOUT_ERROR = 'LOGOUT_ERROR';
export const GET_USER_PROFILE = 'GET_USER_PROFILE';
export const GET_USER_PROFILE_SUCCESS = 'GET_USER_PROFILE_SUCCESS';
export const GET_USER_PROFILE_ERROR = 'GET_USER_PROFILE_ERROR';
export const EDIT_USER_PROFILE = 'EDIT_USER_PROFILE';
export const EDIT_USER_PROFILE_SUCCESS = 'EDIT_USER_PROFILE_SUCCESS';
export const EDIT_USER_PROFILE_ERROR = 'EDIT_USER_PROFILE_ERROR';
export const SEND_EMAIL_FOR_RESET_PASSWORD = 'SEND_EMAIL_FOR_RESET_PASSWORD';
export const SEND_EMAIL_FOR_RESET_PASSWORD_SUCCESS = 'SEND_EMAIL_FOR_RESET_PASSWORD_SUCCESS';
export const SEND_EMAIL_FOR_RESET_PASSWORD_ERROR = 'SEND_EMAIL_FOR_RESET_PASSWORD_ERROR';

export const RESET_PASSWORD = 'RESET_PASSWORD';
export const RESET_PASSWORD_SUCCESS = 'RESET_PASSWORD_SUCCESS';
export const RESET_PASSWORD_ERROR = 'RESET_PASSWORD_ERROR';

/**
 * Receipes Actions
 */
export const GET_RECEIPES = 'GET_RECEIPES';
export const GET_RECEIPES_SUCCESS = 'GET_RECEIPES_SUCCESS';
export const GET_RECEIPES_ERROR = 'GET_RECEIPES_ERROR';
export const ADD_RECEIPE = 'ADD_RECEIPE';
export const ADD_RECEIPE_SUCCESS = 'ADD_RECEIPE_SUCCESS';
export const ADD_RECEIPE_ERROR = 'ADD_RECEIPE_ERROR';
export const UPDATE_RECEIPE = 'UPDATE_RECEIPE';
export const UPDATE_RECEIPE_SUCCESS = 'UPDATE_RECEIPE_SUCCESS';
export const UPDATE_RECEIPE_ERROR = 'UPDATE_RECEIPE_ERROR';
export const DELETE_RECEIPE = 'DELETE_RECEIPE';
export const DELETE_RECEIPE_SUCCESS = 'DELETE_RECEIPE_SUCCESS';
export const DELETE_RECEIPE_ERROR = 'DELETE_RECEIPE_ERROR';

export const GET_SELECTED_RECEIPE = 'GET_SELECTED_RECEIPE';
export const GET_SELECTED_RECEIPE_SUCCESS = 'GET_SELECTED_RECEIPE_SUCCESS';
export const GET_SELECTED_RECEIPE_ERROR = 'GET_SELECTED_RECEIPE_ERROR';

export const ADD_RECEIPE_TO_FAVORITE = 'ADD_RECEIPE_TO_FAVORITE';
export const ADD_RECEIPE_TO_FAVORITE_SUCCESS = 'ADD_RECEIPE_TO_FAVORITE_SUCCESS';
export const ADD_RECEIPE_TO_FAVORITE_ERROR = 'ADD_RECEIPE_TO_FAVORITE_ERROR';

export const REMOVE_RECEIPE_TO_FAVORITE = 'REMOVE_RECEIPE_TO_FAVORITE';
export const REMOVE_RECEIPE_TO_FAVORITE_SUCCESS = 'REMOVE_RECEIPE_TO_FAVORITE_SUCCESS';
export const REMOVE_RECEIPE_TO_FAVORITE_ERROR = 'REMOVE_RECEIPE_TO_FAVORITE_ERROR';

export const GET_USER_RECEIPES = 'GET_USER_RECEIPES';
export const GET_USER_RECEIPES_SUCCESS = 'GET_USER_RECEIPES_SUCCESS';
export const GET_USER_RECEIPES_ERROR = 'GET_USER_RECEIPES_ERROR';

export const GET_FAVORITES_RECEIPES = 'GET_FAVORITES_RECEIPES';
export const GET_FAVORITES_RECEIPES_SUCCESS = 'GET_FAVORITES_RECEIPES_SUCCESS';
export const GET_FAVORITES_RECEIPES_ERROR = 'GET_FAVORITES_RECEIPES_ERROR';

/**
 * formReceipe Action
 *
 */
export const RESET_FORM_VALUES = 'RESET_FORM_VALUES';
export const SET_FORM_VALUES_FOR_EDIT = 'SET_FORM_VALUES_FOR_EDIT';

/**
 * Tchat Action
 */
export const INIT_TCHAT = 'INIT_TCHAT';
export const INIT_TCHAT_SUCCESS = 'INIT_TCHAT_SUCCESS';
export const INIT_TCHAT_ERROR = 'INIT_TCHAT_ERROR';


export const INIT_HISTORY = 'INIT_HISTORY';
export const INIT_HISTORY_SUCCESS = 'INIT_HISTORY_SUCCESS';
export const INIT_HISTORY_ERROR = 'INIT_HISTORY_ERROR';

export const CHANGE_NAMESPACE_SUCCESS = 'CHANGE_NAMESPACE_SUCCESS';
export const CHANGE_ROOM_SUCCESS = 'CHANGE_ROOM_SUCCESS';

export const SEND_MESSAGE = 'SEND_MESSAGE';
export const SEND_MESSAGE_SUCCESS = 'SEND_MESSAGE_SUCCESS';
export const SEND_MESSAGE_ERROR = 'SEND_MESSAGE_ERROR';

export const UPDATE_MESSAGE = 'UPDATE_MESSAGE';
export const UPDATE_MESSAGE_SUCCESS = 'UPDATE_MESSAGE_SUCCESS';
export const UPDATE_MESSAGE_ERROR = 'UPDATE_MESSAGE_ERROR';


